Bug 469744 - capslock as alternate control doesn't work
capslock as alternate control doesn't work
Status: CLOSED DUPLICATE of bug 474758
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 15:28 EST by Stephen Hemminger
Modified: 2018-04-11 12:03 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 19:29:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (297.91 KB, text/plain)
2009-02-02 13:27 EST, Stephen Hemminger
no flags Details

  None (edit)
Description Stephen Hemminger 2008-11-03 15:28:04 EST
Description of problem:
  I used the setting for capslock as alternate control key. It doesn't work
  reliably on FC10. It seems to be gnome bug since Ubuntu Intrepid has same
  problem.

Version-Release number of selected component (if applicable):


How reproducible:
   very

Steps to Reproduce:
1. set capslock as alternate control (system->hardware->preferences->keyboard->layout->layout options)
2. hit capslock a
3.
  
Actual results:
capslock key turns on caps lock

Expected results:
capslock key is a control key

Additional info:
Worked fine in earlier versions.
Comment 1 Stephen Hemminger 2008-11-03 16:06:06 EST
This might be another USB kvm related problem (see https://bugzilla.redhat.com/show_bug.cgi?id=469409).  The keyboard layout works initially on boot,
but then the capslock as control stops working later...
Comment 2 Mads Kiilerich 2008-11-11 18:35:13 EST
I can't reproduce this.

Do you see the problem if you add a new user to your system and log in as this user? And/or after restoring default keyboard layout settings?
Comment 3 Matěj Cepl 2008-11-13 12:51:44 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bug Zapper 2008-11-25 23:42:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-01-31 16:32:47 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Stephen Hemminger 2009-02-02 13:26:59 EST
There is no xorg.conf on this machine. It appears to be related to the 
KVM (Belkin USB Flip). What happens is the keyboard works correctly initially
but when switched to other machine and then back, the Capslock as control
stops working.  Looks like some Gnome/HAL/?? thing is "resetting" the
keyboard map back.
Comment 7 Stephen Hemminger 2009-02-02 13:27:50 EST
Created attachment 330659 [details]
xorg log
Comment 8 Peter Hutterer 2009-02-02 19:29:56 EST
Same issue as Bug 474758. The device disappears, then reappears and the settings don't get applied again for the new device.

*** This bug has been marked as a duplicate of bug 474758 ***

Note You need to log in before you can comment on or make changes to this bug.